/*
* Copyright (c) Isaac Porat 2011 - 2013 all rights reserved.
* This file is released under the GNU General Public License, version 2, or (at your option) any later version.
* See the file SpeechHub_License.txt for more details.
*/

package core.utilities;

import java.io.PrintWriter;
import java.io.StringWriter;

public class StackTrace
{

	public static String stackToString(Exception ex)
	{
		try
		{
			StringWriter stringWriter = new StringWriter();
			PrintWriter printWriter = new PrintWriter(stringWriter);
			ex.printStackTrace(printWriter);
			return "------\r\n" + stringWriter.toString() + "------\r\n";
		} catch (Exception e)
		{
			return "Error in  stackToString method";
		}
	}

}
