/*
* Copyright (c) Isaac Porat 2011 - 2013 all rights reserved.
* This file is released under the GNU General Public License, version 2, or (at your option) any later version.
* See the file SpeechHub_License.txt for more details.
*/

package hrpc.common;

import java.io.IOException;

public interface HRMessageHandlerInterface
{

	public abstract void setTransport(HRTransportInterface transport);

	public abstract void open() throws IOException;

	public abstract void close() throws IOException;

	public abstract void dispatchMessage(String message);

	public abstract boolean processMessage(String message);

}
