/*
* Copyright (c) Isaac Porat 2011 - 2013 all rights reserved.
* This file is released under the GNU General Public License, version 2, or (at your option) any later version.
* See the file SpeechHub_License.txt for more details.
*/

package hrpc.common;

public class HRPCConstants
{
	public final static String HPR_MESSAGE_SEP = ";";

	public final static String HPR_REQUEST = "Q" + HPR_MESSAGE_SEP;
	public final static String HPR_RESPONSE = "P" + HPR_MESSAGE_SEP;
	public final static String HPR_JSON = "J" + HPR_MESSAGE_SEP;
	
	public final static int METHOD_RETURNED_FALSE_CODE = 1;
	public final static String METHOD_RETURNED_FALSE_MESSAGE = "Method returned false";

	public final static int METHOD_RETURNED_NULL_CODE = 2;
	public final static String METHOD_RETURNED_NULL_MESSAGE = "Method returned null";

}
