/*
* Copyright (c) Isaac Porat 2011 - 2013 all rights reserved.
* This file is released under the GNU General Public License, version 2, or (at your option) any later version.
* See the file SpeechHub_License.txt for more details.
*/

package hrpc.common;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.PrintStream;

public interface HRTransportInterface
{

	public abstract BufferedReader getStdin();

	public abstract PrintStream getStdout();
	
	public abstract InputStream getStdinRaw();

	public abstract void open() throws IOException;

	public abstract void close() throws IOException;

}
