/*
* Copyright (c) Isaac Porat 2011 - 2013 all rights reserved.
* This file is released under the GNU General Public License, version 2, or (at your option) any later version.
* See the file SpeechHub_License.txt for more details.
*/

package hrpc.sh.client;

import hrpc.common.HRMessageHandlerJSONInterface;
import hrpc.common.HRSenderHandlerJSONInterface;

import java.io.IOException;

import log.common.CascadingLoggerInterface;

public class SHEngineConnectorClient extends SHEngineConnectorClientBase
{

	public SHEngineConnectorClient(HRMessageHandlerJSONInterface messageHandler,
			HRSenderHandlerJSONInterface senderHandler, CascadingLoggerInterface logger) throws IOException
	{
		log = logger.clone(SHEngineConnectorClientBase.class);
		fMessageHandler = messageHandler;
		fSenderHandler = senderHandler;
	}

}
