/*
* Copyright (c) Isaac Porat 2011 - 2013 all rights reserved.
* This file is released under the GNU General Public License, version 2, or (at your option) any later version.
* See the file SpeechHub_License.txt for more details.
*/

package sh.comm;

/**
 * Used for message audio data and metadata communication between the client and server
 * utilizing  the SH protocol of metadata and audio data in BASE64 encoding
 * 
 * @author Isaac Porat
 *
 */
public interface SHCommMessageDataHandlerInterface
{

	public String getMessageData(String type, String identifier);

}
