/*
* Copyright (c) Isaac Porat 2011 - 2013 all rights reserved.
* This file is released under the GNU General Public License, version 2, or (at your option) any later version.
* See the file SpeechHub_License.txt for more details.
*/

package sh.common;

import sh.connections.SHCustomeHandlersInterface;

/**
 * Holds global custome handlers objects
 * @author Isaac Porat
 */
public class SHCustomeHandlersGlobal extends SHCustomeHandlersTTS implements SHCustomeHandlersInterface
{
	private static SHCustomeHandlersInterface fServerCustomeHandler;

	private SHCustomeHandlersGlobal()
	{
	}

	public synchronized static SHCustomeHandlersInterface getInstance()
	{
		if (fServerCustomeHandler == null)
			fServerCustomeHandler = new SHCustomeHandlersGlobal();
		return (fServerCustomeHandler);
	}

}
