/*
* Copyright (c) Isaac Porat 2011 - 2013 all rights reserved.
* This file is released under the GNU General Public License, version 2, or (at your option) any later version.
* See the file SpeechHub_License.txt for more details.
*/

package sh.common;

import sh.connections.SHClientEngineVoiceSelectorHandlerInterface;
import sh.connections.SHCustomeHandlersInterface;
import sh.connections.SHMessageQueuePeekHandlerInterface;

/**
 * Holds custome handlers objects per a TTS configuration
 * @author Isaac Porat
 */
public class SHCustomeHandlersTTS implements SHCustomeHandlersInterface
{
	private SHClientEngineVoiceSelectorHandlerInterface fClientEngineVoiceSelectorHandler;
	private SHMessageQueuePeekHandlerInterface fMessageQueuePeekHandler;

	public void setClientEngineVoiceSelectorHandler(
			SHClientEngineVoiceSelectorHandlerInterface clientEngineVoiceSelectorHandler)
	{
		fClientEngineVoiceSelectorHandler = clientEngineVoiceSelectorHandler;
	}

	public SHClientEngineVoiceSelectorHandlerInterface getClientEngineVoiceSelectorHandler()
	{
		return (fClientEngineVoiceSelectorHandler);
	}

	public void setMessageQueuePeekHandler(SHMessageQueuePeekHandlerInterface messageQueuePeekHandler)
	{
		fMessageQueuePeekHandler = messageQueuePeekHandler;
	}

	public SHMessageQueuePeekHandlerInterface getMessageQueuePeekHandler()
	{
		return (fMessageQueuePeekHandler);
	}

}
