/*
* Copyright (c) Isaac Porat 2011 - 2013 all rights reserved.
* This file is released under the GNU General Public License, version 2, or (at your option) any later version.
* See the file SpeechHub_License.txt for more details.
*/

package sh.connections;

public interface SHWatchdogListenerInterface
{

	public boolean initialize();

	public boolean close();

	public boolean selectEngineDirectly(String engineIdentifier);

	public void startThread();

	public void interruptThread();

	public String getClientIdentifier();

	public SHClientEngineVoiceSelectorHandlerInterface getClientEngineVoiceSelectorHandler();

}
