/*
* Copyright (c) Isaac Porat 2011 - 2013 all rights reserved.
* This file is released under the GNU General Public License, version 2, or (at your option) any later version.
* See the file SpeechHub_License.txt for more details.
*/

package core.utilities;

public class ExceptionWrapper extends Exception
{
    private static final long serialVersionUID = 1L;
    private Exception fOriginalException;

    public ExceptionWrapper(Exception originalException)
    {
        fOriginalException = originalException;
    }

    @Override
    public String toString()
    {
        return ("SExceptionWrapper: " + fOriginalException.toString ());
    }

    public Exception getOriginalException()
    {
        return (fOriginalException);
    }

}
