/*
* Copyright (c) Isaac Porat 2011 - 2013 all rights reserved.
* This file is released under the GNU General Public License, version 2, or (at your option) any later version.
* See the file SpeechHub_License.txt for more details.
*/

package core.utilities;

public class VersionComparator
{

	public static boolean isSecondVersionGreater(String firstVersion, String secondVersion)
	{
		// Note - supports version numbers with the same number of digits
		String[] localVersionParts = firstVersion.split("\\.");
		String[] remoteVersionParts = secondVersion.split("\\.");
		if (Integer.parseInt(remoteVersionParts[0]) > Integer.parseInt(localVersionParts[0]))
		{
			return (true);
		}
		if (Integer.parseInt(remoteVersionParts[0]) < Integer.parseInt(localVersionParts[0]))
		{
			return (false);
		}
		if (Integer.parseInt(remoteVersionParts[1]) > Integer.parseInt(localVersionParts[1]))
		{
			return (true);
		}
		if (Integer.parseInt(remoteVersionParts[1]) < Integer.parseInt(localVersionParts[1]))
		{
			return (false);
		}
		if (Integer.parseInt(remoteVersionParts[2]) > Integer.parseInt(localVersionParts[2]))
		{
			return (true);
		}
		return (false);
	}

}
