/*
* Copyright (c) Isaac Porat 2011 - 2013 all rights reserved.
* This file is released under the GNU General Public License, version 2, or (at your option) any later version.
* See the file SpeechHub_License.txt for more details.
*/

package hrpc.common;

import java.util.Map;

import com.thetransactioncompany.jsonrpc2.JSONRPC2Response;

public interface HRSenderHandlerJSONInterface
{

	public abstract void setMessageHandler(HRMessageHandlerJSONInterface messageHandler);

	public abstract void close();

	public abstract boolean processResponseMessage(String responseMessage);

	public abstract void dispatchRequestMessage(String requestMessage);

	public abstract String getNewRequestIdentifier();

	public abstract Map<String, JSONRPC2Response> getResponseHolder();

	public abstract void dispatchRequest(String fHandlerName, String fMethodName, Map<String, Object> params,
			String requestIdentifier);

	public abstract void dispatchRequest(String fHandlerName, String fMethodName, String requestIdentifier);

}
