/*
* Copyright (c) Isaac Porat 2011 - 2013 all rights reserved.
* This file is released under the GNU General Public License, version 2, or (at your option) any later version.
* See the file SpeechHub_License.txt for more details.
*/

package log.common;

public interface CascadingLoggerInterface
{

	public CascadingLoggerInterface clone(Class<?> clazz);

	public abstract void notify(String message);

	public abstract void error(String message);

	public abstract void error(Exception exception);

	public abstract void warn(String message);

	public abstract void warn(Exception exception);

	public abstract void info(String message);

	public abstract void info(Exception exception);

	public abstract void debug(String message);

	public abstract void debug(Exception exception);

}
