/*
* Copyright (c) Isaac Porat 2011 - 2013 all rights reserved.
* This file is released under the GNU General Public License, version 2, or (at your option) any later version.
* See the file SpeechHub_License.txt for more details.
*/

package sh.connections;

public interface SHMethodEnvelopeInterface
{

	public void setCommandType(SHConstants.MethodName commandType);

	public SHConstants.MethodName getCommandType();

	public void setArgFloat(float volume);

	public float getArgFloat();

	public void setArgString1(String argString);

	public String getArgString1();

	public void setArgString2(String argString);

	public String getArgString2();

	public void setUpdateParametersDirectly(SHUpdateParametersInterface updateParameters);

	public SHUpdateParametersInterface getUpdateParametersDirectly();

	public void setEventsListener(SHEventsListenerInterface eventsListener);

	public SHEventsListenerInterface getEventsListener();

	public void setAudioDataHandler(SHAudioDataHandlerInterface audioDataHandler);

	public SHAudioDataHandlerInterface getAudioDataHandler();

}
